//--------------------------------------------------------------------
//
// Header file for htsupt.c
//
//--------------------------------------------------------------------

#ifndef __HTSUPT_H_INCLUDED__
#define __HTSUPT_H_INCLUDED__


#ifdef __cplusplus
extern "C" {
#endif

#pragma pack(1)

typedef struct
{
	unsigned int Interfaces; // Which interfaces are being tested
	unsigned int hndDriver; // Handle to driver device
	unsigned int hndRemote; // Handle to comm port device
} GPIODeviceStruct;


//---------------------------------------------------------------------
// Function prototypes
//---------------------------------------------------------------------
void MainMenu(GPIODeviceStruct *pGpioDevice);
void HiFiMenu(void);
void dumpstats(void);
void dump_blade_regs(void);

#pragma pack()


#ifdef __cplusplus
}
#endif


#endif //  __HTSUPT_H_INCLUDED__

