/*
 * Copyright (C) 2006 Dell Inc.
 * Chieng-Hwa Lin <chieng-hwa_lin@dell.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __DCGPIO_H_INCLUDED__
#define __DCGPIO_H_INCLUDED__


#ifdef __cplusplus
extern "C" {
#endif

#pragma pack(1)
#define 	FPFA_GPI_KVM_INT_ADDRESS   	0xa00004a0 
#define 	FPFA_GPI_KVM_MSK_ADDRESS   	0xa00004a2 
#define 	FPFA_GPI_BLADE_MSK_ADDRESS   	0xa0000412 
#define 	FPFA_GPI_PSU_MSK_ADDRESS   	0xa0000442 
#define 	FPFA_GPI_IOM_MSK_ADDRESS   	0xa0000462 
#define 	FPFA_GPI_FAN_MSK_ADDRESS   	0xa0000472 
#define 	FPFA_GPI_CP_MSK_ADDRESS   	0xa00004b2 

//--------------------------------------------------------------------
// Functions Prototypes
//--------------------------------------------------------------------

#pragma pack()

#ifdef __cplusplus
}
#endif


#endif // __DCGPIO_H_INCLUDED__

